1. Speech-to-Text
Voice API
  • Welcome to Async Voice API
  • Getting Started with the Async Voice API
  • Models
  • Billing & Pricing
  • API Reference
    • API Status
      • API Status Check
    • Text-to-Speech
      • Text to Speech (WebSocket)
      • Text to Speech
      • Text to Speech with Word Timestamps
      • Text to Speech (Stream)
    • Speech-to-Text
      • Speech to Text (WebSocket)
      • Speech to Text
        POST
    • Voice Management
      • Clone Voice
      • List Voices
      • Get Voice
      • Get Voices (Batch)
      • Update Voice
      • Delete Voice
      • Get Voice Preview
  • Advanced Guides
    • Embed Player
    • Custom Pronunciations
      • Embedding Custom Phonemes in Async Voice API
      • Pronouncing digits oneโ€‘byโ€‘one
      • Insert Silent Pauses with <break>
  • Integrations
    • Integrate with Twilio
    • Pipecat Integration
    • Livekit Integration
  1. Speech-to-Text

Speech to Text

POST
https://api.async.com/speech_to_text
Upload an audio file and receive its transcript. This is the simplest way to transcribe pre-recorded audio.

Request

Header Params

Body Params multipart/form-dataRequired

Responses

๐ŸŸข200Success
application/json
Bodyapplication/json

๐ŸŸ 401 INVALID_API_KEY
๐ŸŸ 400INVALID_LANGUAGE
๐ŸŸ 429USAGE_LIMIT_EXCEEDED
๐ŸŸ 429RATE_LIMIT_EXCEEDED
๐ŸŸ 429TOO_MANY_CONCURRENT_REQUESTS
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.async.com/speech_to_text' \
--header 'x-api-key: <api-key>' \
--header 'version: v1' \
--form 'file=@"cmMtdXBsb2FkLTE3ODMzMjQzMzg0MDAtMg==/example.wav"' \
--form 'model_id=""' \
--form 'language=""'
Response Response Example
200 - Example 1
{
    "text": "Hey, welcome back to another episode. So last week we talked about the future of work, and the response was overwhelming"
}
Modified atย 2026-07-06 11:21:02
Previous
Speech to Text (WebSocket)
Next
Clone Voice
Built with